<!DOCTYPE html>
<html lang="fr">
<head>
    <title>Page Title</title>
    <!-- Bootstrap CSS Link -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
</head>
<body>
<!-- Menu -->
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" href="#">Navbar</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
                <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#">Link</a>
            </li>
        </ul>
    </div>
</nav>

<div class="container mt-5">
    <!-- Row for cards -->
    <div id="app" class="row row-cols-1 row-cols-md-3 g-4">
    </div>
</div>

<!-- include prototypes here -->

<script>

    function generateCar(image, make, model, description, price, category, year, mileage, extras) {
        var extrasArray = [];

        // Create Extra instances based on the provided names and prices
        extras.forEach(function(extra) {
        extrasArray.push(new Extra(extra.name, extra.price));
        });

        // Create a new Car instance with the provided parameters and the extras array
        var car = new Car(image, make, model, description, price, category, year, mileage, extrasArray);

        return car;
    }

    function showHideExtra(btn,elt,car) {

    }


</script>

<!-- Do not change -->
<script src="js/index.js"></script>

<!-- Bootstrap JavaScript and JQuery Link -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>

</body>
</html>